package fsu.cs.dwyer;

import java.util.Random;
import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RelativeLayout;

public class NumberGuess extends Activity {
    /** Called when the activity is first created. */
	
	private int numToGuess, guess, currentDiff, lastDiff = 0;
	private Random random = new Random();
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate( savedInstanceState );
        numToGuess = random.nextInt( 500 ) + 1;
        setContentView( R.layout.main );
        final Button buttonGuess = (Button) findViewById( R.id.Button01 );
        buttonGuess.setOnClickListener( new Button.OnClickListener()
        	{
        			public void onClick( View v )
        			{
        				final EditText etText = (EditText) 
        					findViewById( R.id.EditText01 );
        				RelativeLayout rlLayout = (RelativeLayout)
        					findViewById( R.id.RelativeLayout01 );
        				TextView tvStatus = (TextView)
        					findViewById( R.id.TextView02 );
        				guess = Integer.parseInt( etText.getText().toString() );
        				currentDiff = Math.abs( numToGuess - guess );
        			
        				if (lastDiff != 0)
        				{
        					if (currentDiff == 0)
        					{
        						rlLayout.setBackgroundColor( Color.GREEN );
        					}
        					else if (currentDiff < lastDiff)
        					{
        						rlLayout.setBackgroundColor( Color.RED );
        					}
        					else if (currentDiff > lastDiff)
        					{
        						rlLayout.setBackgroundColor( Color.BLUE );
        					}
        					else
        					{
        						rlLayout.setBackgroundColor( Color.WHITE );
        					}
        				}
        				lastDiff = currentDiff;
        				
        				if (guess == numToGuess)
        				{
        					tvStatus.setText( "Correct! Make another guess to play again." );
        					numToGuess = random.nextInt( 500 ) + 1;
        				}
        				else if (guess > numToGuess)
        				{
        					tvStatus.setText( "Too High" );
        				}
        				else
        				{
        					tvStatus.setText( "Too Low" );
        				}
        			}
        	});
    }
}